linphone::PlayerListener Class Reference

An object to handle the callbacks for the handling a Player objects. More...

`#include <player_listener.hh>`

Inheritance diagram for linphone::PlayerListener:

## Public Member Functions

virtual LINPHONECXX_PUBLIC void | onEofReached (const std::shared_ptr< linphone::Player > &player)
| Callback for notifying end of play (file).

## Detailed Description

An object to handle the callbacks for the handling a Player objects.

## Member Function Documentation

## onEofReached()

virtual LINPHONECXX_PUBLIC void linphone::PlayerListener::onEofReached | ( | const std::shared_ptr< linphone::Player > & | player | ) |

inline virtual

Callback for notifying end of play (file).

Parameters

  player | The Player object

The documentation for this class was generated from the following file:

- player_listener.hh